Package org.apache.tools.ant

# Interface PropertyHelper.PropertyEvaluator

All Superinterfaces:
  `PropertyHelper.Delegate`

All Known Implementing Classes:
  `LocalProperties`

Enclosing class:
  PropertyHelper

    public static interface PropertyHelper.PropertyEvaluator
    extends PropertyHelper.Delegate

Looks up a property's value based on its name.

Can be used to look up properties in a different storage than the project instance (like local properties for example) or to implement custom "protocols" like Ant's `${toString:refid}` syntax.

Since:
  Ant 1.8.0

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`java.lang.Object` | `evaluate​(java.lang.String property, PropertyHelper propertyHelper)` | Evaluate a property.

## Method Details

### evaluate

java.lang.Object evaluate​(java.lang.String property, PropertyHelper propertyHelper)
Evaluate a property.

Parameters:
  `property` - the property's String "identifier".
  `propertyHelper` - the invoking PropertyHelper.
Returns:
  null if the property name could not be found, an instance of `NullReturn` to indicate a property with a name that can be matched but a value of `null` and the property's value otherwise.